summaryrefslogtreecommitdiffstats
path: root/debian/login.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/login.postinst')
-rw-r--r--debian/login.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/login.postinst b/debian/login.postinst
new file mode 100644
index 0000000..2261e1b
--- /dev/null
+++ b/debian/login.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+
+if [ "$1" = "configure" ]; then
+ # Install faillog during initial installs only
+ if [ "$2" = "" ] && [ ! -f "$DPKG_ROOT/var/log/faillog" ] ; then
+ touch "$DPKG_ROOT/var/log/faillog"
+ chown 0:0 "$DPKG_ROOT/var/log/faillog"
+ chmod 644 "$DPKG_ROOT/var/log/faillog"
+ fi
+
+ # Create subuid/subgid if missing
+ if [ ! -e "$DPKG_ROOT/etc/subuid" ]; then
+ touch "$DPKG_ROOT/etc/subuid"
+ chown 0:0 "$DPKG_ROOT/etc/subuid"
+ chmod 644 "$DPKG_ROOT/etc/subuid"
+ fi
+
+ if [ ! -e "$DPKG_ROOT/etc/subgid" ]; then
+ touch "$DPKG_ROOT/etc/subgid"
+ chown 0:0 "$DPKG_ROOT/etc/subgid"
+ chmod 644 "$DPKG_ROOT/etc/subgid"
+ fi
+fi
+
+#DEBHELPER#
+
+exit 0